<?php
/*
Plugin Name: Stats helper for WordPress.com
Plugin URI: http://menial.co.uk/software/statistics/helper/
Description: This plugin displays the API key and URL used by the WordPress.com stats
Version: 1.0
Author: Ben Barnett
Author URI: http://menial.co.uk/
License: GPL2
*/

add_action('admin_menu', 'me_add_menuitem');

function me_add_menuitem()
{
	add_management_page('Stats Helper', 'Stats Helper', 8, basename('stats-helper.php'), 'me_list_stats_details');
}

function me_list_stats_details()
{
	$options = get_option('stats_options');

	if ($options === false)
	{
		echo '
		<div class="wrap">
			<div id="icon-edit" class="icon32"><br /></div>
			<h2>Details for WordPress.com stats</h2>
			<div class="clear"></div>
		
			<p>Looks like you haven\'t got the WordPress.com stats plugin installed. <a href="http://wordpress.org/extend/plugins/stats/">Visit the plugin directory</a> to download it.</p>
		</div><!-- End div.wrap -->
	';
	return;
	}
	echo '
	<div class="wrap">

		<div id="icon-edit" class="icon32"><br /></div>
		<h2>Details for WordPress.com stats</h2>
		<div class="clear"></div>
		
		<table class="form-table">
		<tr valign="top">
		<th scope="row">API Key</th>
		<td>'.$options['api_key'].'</td>
		</tr>
		<tr valign="top">
		<th scope="row">URL</th>
		<td>'.$options['host'].$options['path'].'</td>
		</tr>
		<tr valign="top">
		<th scope="row">Blog ID</th>
		<td>'.$options['blog_id'].'</td>
		</tr>
		</table>
	</div><!-- End div.wrap -->
';
}
?>